Перейти к содержимому

GET /sandboxes/{sandboxID}/metrics

Sandbox metrics

Get sandbox metrics

Параметры

  • sandboxID · string · путь · обязательно

  • start · integer · запрос · необязательно

    Unix timestamp for the start of the interval, in seconds, for which the metrics

    Формат: int64

    Минимум: 0

  • end · integer · запрос · необязательно

    Unix timestamp for the end of the interval, in seconds, for which the metrics

    Формат: int64

    Минимум: 0

Ответы

200

Successfully returned the sandbox metrics

Content-Type: application/json

Схема: array<SandboxMetric>

  • timestampUnix · integer · обязательно

    Timestamp of the metric entry in Unix time (seconds since epoch)

    Формат: int64

  • cpuCount · integer · обязательно

    Number of CPU cores

    Формат: int32

  • cpuUsedPct · number · обязательно

    CPU usage percentage

    Формат: float

  • memUsed · integer · обязательно

    Memory used in bytes

    Формат: int64

  • memTotal · integer · обязательно

    Total memory in bytes

    Формат: int64

  • memCache · integer · обязательно

    Cached memory (page cache) in bytes

    Формат: int64

  • diskUsed · integer · обязательно

    Disk used in bytes

    Формат: int64

  • diskTotal · integer · обязательно

    Total disk space in bytes

    Формат: int64

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error